Debian Bug report logs - #353447
Weird suggestion on closing bugs fixed in NMU

version graph

Package: developers-reference; Maintainer for developers-reference is Developers Reference Maintainers <debian-policy@lists.debian.org>; Source for developers-reference is src:developers-reference.

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Sat, 18 Feb 2006 15:48:05 UTC

Severity: normal

Fixed in version developers-reference/3.3.8

Done: Andreas Barth <aba@not.so.argh.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#353447; Package developers-reference. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Weird suggestion on closing bugs fixed in NMU
Date: Sat, 18 Feb 2006 16:40:27 +0100
Package: developers-reference
Severity: normal

To my big surprise, I read in section 6.3.2:

| It is an old tradition to acknowledge bugs fixed in non-maintainer
| uploads in the first changelog entry of the proper maintainer upload,
| for instance, in a changelog entry like this:
| 
|            * Maintainer upload, closes: #42345, #44484, #42444.
| 
| This will close the NMU bugs tagged "fixed" when the package makes it
| into the archive. The bug for the fact that an NMU was done can be
| closed the same way. Of course, it's also perfectly acceptable to close
| NMU-fixed bugs by other means; see Responding to bugs, Section 5.8.2. 

Which is IMHO wrong advice: The bug submitter will then get this
statement as a bug closing mail, while the bug wasn't closed by this
upload! I think this practice should rather be strongly discouraged,
rather than encouraged.

The best practice IMHO is to use dpkg-buildpackage -v<last maintainer
upload> on the maintainer upload, thereby including the changelogs bits
for the NMU's, and not mention any bugs that were not solely "I NMU'd,
here's a patch" type of bugs. In general, it should IMHO be
emphasised that a Closes: statement in a changelog should at all
times refer to something that actually really is closing/fixing the
bug in question, rather than procedural stuff etc.

With dpkg-buildpackage -v, the submitter of a bug will get as
explanation the changelog bit that actually made his bug get resolved.

Thanks,
--Jeroen

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-k7
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Tags added: pending Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Andreas Barth <aba@not.so.argh.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 353447-close@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 353447-close@bugs.debian.org
Subject: Bug#353447: fixed in developers-reference 3.3.7
Date: Sun, 09 Apr 2006 10:47:09 -0700
Source: developers-reference
Source-Version: 3.3.7

We believe that the bug you reported is fixed in the latest version of
developers-reference, which is due to be installed in the Debian FTP archive:

developers-reference-fr_3.3.7_all.deb
  to pool/main/d/developers-reference/developers-reference-fr_3.3.7_all.deb
developers-reference_3.3.7.dsc
  to pool/main/d/developers-reference/developers-reference_3.3.7.dsc
developers-reference_3.3.7.tar.gz
  to pool/main/d/developers-reference/developers-reference_3.3.7.tar.gz
developers-reference_3.3.7_all.deb
  to pool/main/d/developers-reference/developers-reference_3.3.7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 353447@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Barth <aba@not.so.argh.org> (supplier of updated developers-reference package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 09 Apr 2006 11:31:52 -0600
Source: developers-reference
Binary: developers-reference-fr developers-reference
Architecture: source all
Version: 3.3.7
Distribution: unstable
Urgency: low
Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
Changed-By: Andreas Barth <aba@not.so.argh.org>
Description: 
 developers-reference - guidelines and information for Debian developers
 developers-reference-fr - guidelines and information for Debian developers, in French
Closes: 295483 297069 298016 299217 302000 305947 306120 306630 308103 309502 317411 320981 326857 327682 334820 336146 338660 339826 340024 341195 341197 341568 344303 347229 348160 349493 351255 351944 352749 353447
Changes: 
 developers-reference (3.3.7) unstable; urgency=low
 .
   * Andreas Barth:
     - adjust information about distributions with reality.
     - add note on alioth accounts. Thanks, Phillip Kern. Closes: #306630
     - correct manpage section of dpkg-scanpackages. Closes: #297069
     - fix RFC 2440 URL. Closes: #308103
     - add $arch@buildd information. Closes: #295483
     - link to keyring.d.o for key replacement. Thanks, Martin Michlmayr.
       Closes: #298016
     - add information about Packages-arch-specific. Thanks, Frank Küster.
       Closes: #302000
     - add hint about LWN subscription. Thanks, Martin Michlmayr.
       Closes: #299217
     - more about debconf-style translation. Thanks, Christian Perrier.
       Closes: #309502
     - non-us discontinued.
     - document nmu changes wrt version tracking. Thanks, Justin Pryzby.
       Closes: #341197
     - fix spelling issues. Thanks to various people.
       Closes: #336146, #326857, #338660
     - update menu policy helpers. Thanks, Florian Ernst. Closes: #340024
     - send mia-mail to mia@qa. Thanks, Adam D. Barratt. Closes: #341568
     - Joerg Jaspert is now freenode contact. Closes: #344303
     - give a clearer description of the gpg v4-key issues. Thanks,
       Martin Michlmayr and Peter Palfrader. Closes: #317411
     - more verbose about Homepage. Closes: #339826
     - add sarge and etch. Closes: #327682
     - document severity of RoM-request bugs. Closes: #305947
     - update FSF address. Closes: #334820
     - fix P-a-s link. Closes: #341195
     - reflect binNMU changes. Closes: #349493
     - new security upload queue. Closes: #352749
     - fix experimental's sources.list entry. Closes: #347229
     - remove deprecated "Closes:..." to ACK NMU bug fixes. Closes: #353447
     - when resigning, gpg-sign your mail. Closes: #348160
     - make pristine source and repackaged origtargz anchors work.
       Closes: #351255
     - same number of RC bugs is ok. Closes: #351944
     - dpkg-source doesn't keep permissions. Thanks, Enrico Zini.
       Closes: #306120
     - also mention aspell. Closes: #320981
 .
   * Frédéric Bothamy
     - French translation updated to version 3.3.7, proofread by Bernard Adrian
Files: 
 1fa3306d313ef71c320b29fc65de5a73 687 doc optional developers-reference_3.3.7.dsc
 a5ebba2123818aa47c897654ac1352c0 272598 doc optional developers-reference_3.3.7.tar.gz
 075ee8db80660b21d2d1b51ca29e79c4 589522 doc optional developers-reference_3.3.7_all.deb
 43eeb36aeb4ed2ff90bf3d2934867239 231352 doc optional developers-reference-fr_3.3.7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFEOUZDmdOZoew2oYURAurBAKCxZGWku01W9/y4hgoovvanK/0S4ACdHkMA
U767wyMyp3Imd76flAehRNs=
=2Xb4
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#353447; Package developers-reference. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Project <debian-doc@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 353447@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: 353447@bugs.debian.org
Cc: Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: Weird suggestion on closing bugs fixed in NMU
Date: Fri, 20 Oct 2006 12:30:12 +0200
reopen 353447
thanks

On Sat, Feb 18, 2006 at 04:40:27PM +0100, Jeroen van Wolffelaar wrote:
> To my big surprise, I read in section 6.3.2:
> 
> | It is an old tradition to acknowledge bugs fixed in non-maintainer
> | uploads in the first changelog entry of the proper maintainer upload,
> | for instance, in a changelog entry like this:
> | 
> |            * Maintainer upload, closes: #42345, #44484, #42444.
> | 
> | This will close the NMU bugs tagged "fixed" when the package makes it
> | into the archive. The bug for the fact that an NMU was done can be
> | closed the same way. Of course, it's also perfectly acceptable to close
> | NMU-fixed bugs by other means; see Responding to bugs, Section 5.8.2. 
> 
> Which is IMHO wrong advice: The bug submitter will then get this
> statement as a bug closing mail, while the bug wasn't closed by this
> upload! I think this practice should rather be strongly discouraged,
> rather than encouraged.
> 
> The best practice IMHO is to use dpkg-buildpackage -v<last maintainer
> upload> on the maintainer upload, thereby including the changelogs bits
> for the NMU's, and not mention any bugs that were not solely "I NMU'd,
> here's a patch" type of bugs. In general, it should IMHO be
> emphasised that a Closes: statement in a changelog should at all
> times refer to something that actually really is closing/fixing the
> bug in question, rather than procedural stuff etc.
> 
> With dpkg-buildpackage -v, the submitter of a bug will get as
> explanation the changelog bit that actually made his bug get resolved.

I don't believe this is addressed, section 5.11.6 doesn't mention
anything about why to use -v, and doesn't discourage using a huge list
of closes.

In my opinion, it should really discourage doing so except for actual
bugs of "I NMU'd, this is the full patch". Since versioned closes on
NMU's are now a reality, it could really be totally discouraged to
actually use these lists of closes in case the NMU's were done after
this change in dak.

The alternative of manually closing the bug (versioned!) with
explanation is of course also a (good) possiblity, it's just the
informationless list of closes that IMHO really should be forbidden :).

Thanks,
--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Bug reopened, originator not changed. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Andreas Barth <aba@not.so.argh.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 353447-close@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 353447-close@bugs.debian.org
Subject: Bug#353447: fixed in developers-reference 3.3.8
Date: Sat, 16 Dec 2006 16:17:02 +0000
Source: developers-reference
Source-Version: 3.3.8

We believe that the bug you reported is fixed in the latest version of
developers-reference, which is due to be installed in the Debian FTP archive:

developers-reference-fr_3.3.8_all.deb
  to pool/main/d/developers-reference/developers-reference-fr_3.3.8_all.deb
developers-reference_3.3.8.dsc
  to pool/main/d/developers-reference/developers-reference_3.3.8.dsc
developers-reference_3.3.8.tar.gz
  to pool/main/d/developers-reference/developers-reference_3.3.8.tar.gz
developers-reference_3.3.8_all.deb
  to pool/main/d/developers-reference/developers-reference_3.3.8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 353447@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Barth <aba@not.so.argh.org> (supplier of updated developers-reference package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 11 Nov 2006 10:55:44 -0700
Source: developers-reference
Binary: developers-reference-fr developers-reference
Architecture: source all
Version: 3.3.8
Distribution: unstable
Urgency: low
Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
Changed-By: Andreas Barth <aba@not.so.argh.org>
Description: 
 developers-reference - guidelines and information for Debian developers
 developers-reference-fr - guidelines and information for Debian developers, in French
Closes: 324967 339552 350792 353447 353874 355725 356643 361311 361744 365993 365994 368046 374738 376199 376411 376961 378929 380458 382477 382721 387108 387154 394033 397786 397907
Changes: 
 developers-reference (3.3.8) unstable; urgency=low
 .
   * mia-history is replaced by mia-query. Thanks, Christoph Berg.
     Closes: #350792
   * fix missing quite. Thanks, Frank Küster. Closes: #365994
   * use gnugp instead of gpg. Thanks, Justin Pryzby, Jon Dowland.
     Closes: #376411
   * better destinction between maintainer and developer. Thanks for
     the suggestion to Colin Tuckley. Closes: #380458
   * irc.d.o points to oftc. Thanks, Christoph Biedl, Jon Dowland.
     Closes: #382721
   * Bugs are now always closed thanks to version tracking.
     Closes: #339552, #353447, #376199
   * Clarify what "a conflicts b" means in testing migration.
     Closes: #361311
   * Packages in testing disappear if they're removed from unstable.
     Thanks, Frank Küster, Al Stone. Closes: #365993
   * Document only the most recent changelog entry is used. Thanks
     to Kevin Glynn to the suggestion. Closes: #374738
   * Add more tools for reverse depends. Close: #376582
   * delayed-queue on gluck is uploaded more often now. Closes: #397907
   * stop using capitals, minor fixes, language fixes.
     Thanks, Thijs Kinkhorst, Colin Tuckley, Russ Allbery.
     Closes: #368046, #378929, #361744
   * add CVE Ids to your changelog. Closes: #376961
   * add reasoning why debconf questions shouldn't be longer than
     20 lines. Thanks, Thijs Kinkhorst, Christian Perrier, Russ Allbery.
     Closes: #382477
   * section changing needs re-uploading orig.tar.gz.
     Thanks, Adam D. Barratt. Closes: #387154
   * binary files in diffs could be en/decoded with perl.
     Thanks, Frank Küster. Closes: #397786
   * Add pointer to new-reject-FAQ. Closes: #324967
   * Hint to dd-list/whodepends. Closes: #353874
   * Don't use too generic mail ids. Closes: #355725
   * pts/summary is actually used. Thanks, Holger Levsen. Closes: #387108
   * clarify that one should append the NMU-diff to a bug. Closes: #394033
   * more detailed instructions on binary package removals.
     Closes: #356643
 .
   * Frédéric Bothamy
     - French translation updated to version 3.3.8
Files: 
 740caa3ef23ddbd373d282f4797b62f1 687 doc optional developers-reference_3.3.8.dsc
 50b9085b9323fc8e219c3655f65715c8 312443 doc optional developers-reference_3.3.8.tar.gz
 f48196881e820868ab7d79a307cb64e4 594492 doc optional developers-reference_3.3.8_all.deb
 ab5744ce44b2fe4d3683ed4d3f4deaf8 233884 doc optional developers-reference-fr_3.3.8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFFhBlEmdOZoew2oYURAnnMAJ9RZU18fQiFAoJFhsJJ6/cvyGvMegCfTRXX
5+O4tSnqpxvZWDOQ3/QZPjo=
=qlGM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 12:07:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:17:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.